Package com.sas.services.information

# Class RepositoryEvent

java.lang.Object
com.sas.services.information.RepositoryEvent

All Implemented Interfaces:
  `Serializable`

public class RepositoryEvent extends Object implements Serializable
This class represents an event that occurred in a repository while attempting an operation against it.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `REPOSITORY_EVENT_CLOSE`
  The repository connection was closed by request from a client.
  `static final int`
  `REPOSITORY_EVENT_DISCONNECT`
  Report a disconnect event.
  `static final int`
  `REPOSITORY_EVENT_RECONNECT`
  Report a reconnect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryEvent(RepositoryInterface repository, int event)`
  Create a new RepositoryEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEvent()`
  Get the identifier for the event that occurred.
  `RepositoryInterface`
  `getRepository()`
  Get a handle to the repository that reported the event.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REPOSITORY_EVENT_DISCONNECT

    public static final int REPOSITORY_EVENT_DISCONNECT
    Report a disconnect event. The connection to the repository was lost, and could not be re-established.
    See Also:
      - Constant Field Values

  - ### REPOSITORY_EVENT_RECONNECT

    public static final int REPOSITORY_EVENT_RECONNECT
    Report a reconnect. The connection was lost, but was re-established successfully and the operation completed.
    See Also:
      - Constant Field Values

  - ### REPOSITORY_EVENT_CLOSE

    public static final int REPOSITORY_EVENT_CLOSE
    The repository connection was closed by request from a client.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RepositoryEvent

    public RepositoryEvent(RepositoryInterface repository, int event)
    Create a new RepositoryEvent. This will only be called by a repository to report an event.
    Parameters:
      `repository` - The RepositoryInterface this event applies to.
      `event` - The type of event that occurred.

- ## Method Details

  - ### getRepository

    public RepositoryInterface getRepository()
    Get a handle to the repository that reported the event.
    Returns:
      The RepositoryInterface that had an event.

  - ### getEvent

    public int getEvent()
    Get the identifier for the event that occurred.
    Returns:
      the type of event.